# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Static Public Member Functions | List of all members
DBus::type< Struct< T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16 > > Struct Template Reference

`#include <types.h>`

Inheritance diagram for DBus::type< Struct< T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16 > >:

## Static Public Member Functions

static std::string | sig ()

## Detailed Description

template<typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7, typename T8, typename T9, typename T10, typename T11, typename T12, typename T13, typename T14, typename T15, typename T16>
struct DBus::type< Struct< T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16 > >

Definition at line 288 of file types.h.

## Member Function Documentation

## ◆ sig()

template<typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7, typename T8, typename T9, typename T10, typename T11, typename T12, typename T13, typename T14, typename T15, typename T16>

std::string DBus::type< Struct< T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16 > >::sig | ( |  | ) |

inline static

Definition at line 290 of file types.h.

References DBus::type< T >::sig().

The documentation for this struct was generated from the following file:

- types.h